# Uses of Class
org.apache.lucene.spatial3d.geom.LatLonBounds

Packages that use LatLonBounds
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of LatLonBounds in org.apache.lucene.spatial3d.geom

  Methods in org.apache.lucene.spatial3d.geom with parameters of type LatLonBounds
  Modifier and Type
  Method
  Description
  `static GeoBBox`
  GeoBBoxFactory.`makeGeoBBox(PlanetModel planetModel, LatLonBounds bounds)`
  Create a geobbox of the right kind given the specified `LatLonBounds`.
  `void`
  Plane.`recordBounds(PlanetModel planetModel, LatLonBounds boundsInfo, Membership... bounds)`
  Accumulate bounds information for this plane, intersected with the unit sphere.
  `void`
  Plane.`recordBounds(PlanetModel planetModel, LatLonBounds boundsInfo, Plane p, Membership... bounds)`
  Accumulate bounds information for this plane, intersected with another plane and the world.